### Enumeration

# Xdp WallpaperFlags

#### Declaration

    flags Xdp.WallpaperFlags

#### Description [src]

The values of this enumeration determine where the wallpaper is being set.

#### Members

`XDP_WALLPAPER_FLAG_NONE`

  No flags.

  - Value: `0`
  - Available since: 1.0
`XDP_WALLPAPER_FLAG_BACKGROUND`

  Set wallpaper on the desktop background.

  - Value: `1`
  - Available since: 1.0
`XDP_WALLPAPER_FLAG_LOCKSCREEN`

  Set wallpaper on the lockscreen.

  - Value: `2`
  - Available since: 1.0
`XDP_WALLPAPER_FLAG_PREVIEW`

  Request the preview to be shown.

  - Value: `4`
  - Available since: 1.0